#region Copyright Syncfusion Inc. 2001-2017.
// Copyright Syncfusion Inc. 2001-2017. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using AutoMapper;
using Microsoft.Owin;
using Owin;
using ScheduleProblem.Models;

[assembly: OwinStartupAttribute(typeof(ScheduleProblem.Startup))]
namespace ScheduleProblem
{
    public partial class Startup
    {
        public void Configuration(IAppBuilder app)
        {
            Mapper.Initialize(cfg =>
            {
                cfg.CreateMap<Dienst, EventDto>()
                .ForMember(d => d.DienstartText, o => o.MapFrom(s => s.Dienstart.Bezeichnung))
                .ForMember(d => d.DienstartAbkzg, o => o.MapFrom(s => s.Dienstart.Abkzg))
                .ForMember(d => d.MaFirstName, o => o.MapFrom(s => s.Mitarbeiter.FirstName))
                .ForMember(d => d.MaLastName, o => o.MapFrom(s => s.Mitarbeiter.LastName))
                .ForMember(d => d.MaFullName, o => o.MapFrom(s =>
                $"{s.Mitarbeiter.LastName}, {s.Mitarbeiter.FirstName}"));

            });


                ConfigureAuth(app);
        }
    }
}
